Policy v2 (experimental)
Receive an SES delivery notification (bounces and complaints)
Receives the delivery notification that Amazon SES posts for an approval email.
POST
/
v2
/
notifications
/
ses
cURL
# EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
# Amazon SES posts this; clients do not call it
curl -X POST "https://parmana-api-real.vercel.app/v2/notifications/ses" \
-H "Content-Type: application/json" \
-d '{"Type":"Notification","Message":"{}"}'// EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
// Amazon SES posts this; clients do not call it
const response = await fetch(
"https://parmana-api-real.vercel.app/v2/notifications/ses",
{
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ Type: "Notification", Message: "{}" }),
},
);
console.log(response.status, await response.text());# EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
# Amazon SES posts this; clients do not call it
import json
import urllib.request
BODY = r'{"Type":"Notification","Message":"{}"}'
def main() -> None:
request = urllib.request.Request(
"https://parmana-api-real.vercel.app/v2/notifications/ses",
data=json.dumps(json.loads(BODY)).encode("utf-8"),
method="POST",
headers={
"Content-Type": "application/json",
},
)
with urllib.request.urlopen(request) as response:
print(response.status, response.read().decode("utf-8"))
if __name__ == "__main__":
main()const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://parmana-api-real.vercel.app/v2/notifications/ses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/v2/notifications/ses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/v2/notifications/ses"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-api-real.vercel.app/v2/notifications/ses")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/v2/notifications/ses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"handled": true
}{
"error": "not_verified"
}Body
application/json
The SES notification, as posted by Amazon SES. Its signature is checked by the server.
Response
The notification was handled.
The response is of type object.
⌘I
cURL
# EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
# Amazon SES posts this; clients do not call it
curl -X POST "https://parmana-api-real.vercel.app/v2/notifications/ses" \
-H "Content-Type: application/json" \
-d '{"Type":"Notification","Message":"{}"}'// EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
// Amazon SES posts this; clients do not call it
const response = await fetch(
"https://parmana-api-real.vercel.app/v2/notifications/ses",
{
method: "POST",
headers: { "Content-Type": "application/json" },
body: JSON.stringify({ Type: "Notification", Message: "{}" }),
},
);
console.log(response.status, await response.text());# EXPERIMENTAL Policy version 2. Available only where the deployment enables it.
# Amazon SES posts this; clients do not call it
import json
import urllib.request
BODY = r'{"Type":"Notification","Message":"{}"}'
def main() -> None:
request = urllib.request.Request(
"https://parmana-api-real.vercel.app/v2/notifications/ses",
data=json.dumps(json.loads(BODY)).encode("utf-8"),
method="POST",
headers={
"Content-Type": "application/json",
},
)
with urllib.request.urlopen(request) as response:
print(response.status, response.read().decode("utf-8"))
if __name__ == "__main__":
main()const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://parmana-api-real.vercel.app/v2/notifications/ses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://parmana-api-real.vercel.app/v2/notifications/ses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://parmana-api-real.vercel.app/v2/notifications/ses"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://parmana-api-real.vercel.app/v2/notifications/ses")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://parmana-api-real.vercel.app/v2/notifications/ses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"handled": true
}{
"error": "not_verified"
}